Bug 44080 - End of life warning -> javascript error if no yaml file could be found
End of life warning -> javascript error if no yaml file could be found
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Software update
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Jannik Ahlers
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-27 10:35 CEST by Jürn Brodersen
Modified: 2017-12-07 16:34 CET (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürn Brodersen univentionstaff 2017-03-27 10:35:56 CEST
End of life warning -> javascript error if no yaml file could be found

base/univention-updater/umc/python/updater/__init__.py::query_maintenance_information()

should return something like {"show_warning": False} in case no yaml could be found.

How to reproduce:
Either change your ucs version to something 4.1.99 or add a /etc/hosts entry for updates.software-univention.de.
Comment 1 Jannik Ahlers univentionstaff 2017-11-22 16:16:22 CET

*** This bug has been marked as a duplicate of bug 44824 ***
Comment 2 Florian Best univentionstaff 2017-11-22 16:44:54 CET
This is not a duplicate of Bug #44824. The error still persists.
Comment 3 Jannik Ahlers univentionstaff 2017-11-23 12:08:44 CET
Fixed in branch jahlers/44080-js-err-if-no-yaml
Comment 4 Florian Best univentionstaff 2017-11-29 15:30:41 CET
You can merge the changes. Please adjust the description in the YAML to something like the following:
An javascript error is prevented if receiving the maintenance status information is not possible.
Comment 5 Florian Best univentionstaff 2017-11-30 14:43:58 CET
OK: no javascript error occurs anymore.
OK: YAML
Comment 6 Arvid Requate univentionstaff 2017-12-07 16:34:37 CET
<http://errata.software-univention.de/ucs/4.2/243.html>